/*
	This file is to be used in conjunction with the analysis file in order
	to calculate recommended stocks from a list of stocks. This file contains
	C functions that are called in analysis.c in order to find the top
	stocks.
	
	Alex Dobson
	CSC 370, University Of Alberta: Augustana Campus
	Fall 2012
*/

#include "equity.h"

#define PERCENT 100

/*
	Calculates the yield of a stock which is equal to the price divided by the
	dividend, which is then converted to a percent.
	
	INPUT: stock price, stock dividend
	OUTPUT: stock yield
*/
double yield( double price, double dividend ) {
	double yeild = (dividend / price) * PERCENT;
	return yeild;
}


/*
	Calculates the price/earning ratio of a stock which is equal to the price divided
	by the earnings per share of said stock.
	
	INPUT: stock price, stock earnings per share
	OUTPUT: stock price/earning ratio
*/
double peRatio( double price, double eps ) {
	double peRatio = price / eps;
	return peRatio;
}


/*
	Calculates the volume trend of a stock which is a percentile equal to the difference
	between the stock's price today compared to yesterday, divided by the stocks sales
	yesterday.
	
	INPUT: stock current day sales, stock yesterday sales
	OUTPUT: stock volume trend
*/
double volumeTrend( long yesterdaySales , long todaySales ) {
	double yesterday = (double) yesterdaySales;
	double today = (double) todaySales;
	double volumeTrend = ( ( today - yesterday ) / yesterday ) * PERCENT;
	return volumeTrend;
}